Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.report
Class BenchmarkReport

    java.lang.Object
      org.optaplanner.benchmark.impl.report.BenchmarkReport

    public class BenchmarkReport

extends Object

Field Summary
`protected File` | `averageCalculateCountSummaryChartFile`
`protected List<File>` | `bestScorePerTimeSpendSummaryChartFileList`
`protected List<File>` | `bestScoreScalabilitySummaryChartFileList`
`protected List<File>` | `bestScoreSummaryChartFileList`
`static int` | `CHARTED_SCORE_LEVEL_SIZE`
`protected Integer` | `defaultShownScoreLevelIndex`
`protected File` | `htmlOverviewFile`
`protected Locale` | `locale`
`protected DefaultPlannerBenchmark` | `plannerBenchmark`
`protected File` | `summaryDirectory`
`protected File` | `timeSpendScalabilitySummaryChartFile`
`protected File` | `timeSpendSummaryChartFile`
`protected List<String>` | `warningList`
`protected List<File>` | `winningScoreDifferenceSummaryChartFileList`
`protected List<File>` | `worstScoreDifferencePercentageSummaryChartFileList`

Constructor Summary
`BenchmarkReport(DefaultPlannerBenchmark plannerBenchmark)`

Method Summary
`protected void` | `fillWarningList()`
`int` | `getAvailableProcessors()`
`File` | `getAverageCalculateCountSummaryChartFile()`
`List<File>` | `getBestScorePerTimeSpendSummaryChartFileList()`
`List<File>` | `getBestScoreScalabilitySummaryChartFileList()`
`List<File>` | `getBestScoreSummaryChartFileList()`
`Integer` | `getDefaultShownScoreLevelIndex()`
`File` | `getHtmlOverviewFile()`
`String` | `getJavaVersion()`
`String` | `getJavaVM()`
`Locale` | `getLocale()`
`long` | `getMaxMemory()`
`String` | `getOperatingSystem()`
`DefaultPlannerBenchmark` | `getPlannerBenchmark()`
`String` | `getPlannerVersion()`
`File` | `getSummaryDirectory()`
`File` | `getTimeSpendScalabilitySummaryChartFile()`
`File` | `getTimeSpendSummaryChartFile()`
`List<String>` | `getWarningList()`
`List<File>` | `getWinningScoreDifferenceSummaryChartFileList()`
`List<File>` | `getWorstScoreDifferencePercentageSummaryChartFileList()`
`void` | `setLocale(Locale locale)`
`void` | `writeReport()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARTED_SCORE_LEVEL_SIZE

    public static final int CHARTED_SCORE_LEVEL_SIZE

See Also:
  Constant Field Values

### plannerBenchmark

    protected final DefaultPlannerBenchmark plannerBenchmark

### locale

    protected Locale locale

### htmlOverviewFile

    protected File htmlOverviewFile

### summaryDirectory

    protected File summaryDirectory

### bestScoreSummaryChartFileList

    protected List<File> bestScoreSummaryChartFileList

### bestScoreScalabilitySummaryChartFileList

    protected List<File> bestScoreScalabilitySummaryChartFileList

### winningScoreDifferenceSummaryChartFileList

    protected List<File> winningScoreDifferenceSummaryChartFileList

### worstScoreDifferencePercentageSummaryChartFileList

    protected List<File> worstScoreDifferencePercentageSummaryChartFileList

### averageCalculateCountSummaryChartFile

    protected File averageCalculateCountSummaryChartFile

### timeSpendSummaryChartFile

    protected File timeSpendSummaryChartFile

### timeSpendScalabilitySummaryChartFile

    protected File timeSpendScalabilitySummaryChartFile

### bestScorePerTimeSpendSummaryChartFileList

    protected List<File> bestScorePerTimeSpendSummaryChartFileList

### defaultShownScoreLevelIndex

    protected Integer defaultShownScoreLevelIndex

### warningList

    protected List<String> warningList

Constructor Detail

### BenchmarkReport

    public BenchmarkReport(DefaultPlannerBenchmark plannerBenchmark)

Method Detail

### getPlannerBenchmark

    public DefaultPlannerBenchmark getPlannerBenchmark()

### getLocale

    public Locale getLocale()

### setLocale

    public void setLocale(Locale locale)

### getHtmlOverviewFile

    public File getHtmlOverviewFile()

### getSummaryDirectory

    public File getSummaryDirectory()

### getBestScoreSummaryChartFileList

    public List<File> getBestScoreSummaryChartFileList()

### getBestScoreScalabilitySummaryChartFileList

    public List<File> getBestScoreScalabilitySummaryChartFileList()

### getWinningScoreDifferenceSummaryChartFileList

    public List<File> getWinningScoreDifferenceSummaryChartFileList()

### getWorstScoreDifferencePercentageSummaryChartFileList

    public List<File> getWorstScoreDifferencePercentageSummaryChartFileList()

### getAverageCalculateCountSummaryChartFile

    public File getAverageCalculateCountSummaryChartFile()

### getTimeSpendSummaryChartFile

    public File getTimeSpendSummaryChartFile()

### getTimeSpendScalabilitySummaryChartFile

    public File getTimeSpendScalabilitySummaryChartFile()

### getBestScorePerTimeSpendSummaryChartFileList

    public List<File> getBestScorePerTimeSpendSummaryChartFileList()

### getDefaultShownScoreLevelIndex

    public Integer getDefaultShownScoreLevelIndex()

### getWarningList

    public List<String> getWarningList()

### getAvailableProcessors

    public int getAvailableProcessors()

### getMaxMemory

    public long getMaxMemory()

### getJavaVersion

    public String getJavaVersion()

### getJavaVM

    public String getJavaVM()

### getOperatingSystem

    public String getOperatingSystem()

### getPlannerVersion

    public String getPlannerVersion()

  Returns:
    sometimes null (only during development)

### writeReport

    public void writeReport()

### fillWarningList

    protected void fillWarningList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.